Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::TypedValueContainer< TYPE > Struct Template Reference

`#include <Reflect.h>`

Inheritance diagram for tlp::TypedValueContainer< TYPE >:
[legend]
Collaboration diagram for tlp::TypedValueContainer< TYPE >:
[legend]

List of all members.

## Public Member Functions

- TypedValueContainer ()
- TypedValueContainer (const TYPE &val)
- ~TypedValueContainer ()

## Public Attributes

- TYPE value

### template<typename TYPE>
struct tlp::TypedValueContainer< TYPE >

## Constructor & Destructor Documentation

template<typename TYPE >

tlp::TypedValueContainer< TYPE >::TypedValueContainer | ( |  | ) | `[inline]`

template<typename TYPE >

tlp::TypedValueContainer< TYPE >::TypedValueContainer | ( | const TYPE & | val | ) | `[inline]`

template<typename TYPE >

tlp::TypedValueContainer< TYPE >::~TypedValueContainer | ( |  | ) | `[inline]`

## Member Data Documentation

template<typename TYPE >

TYPE tlp::TypedValueContainer< TYPE >::value

Tulip Software by LaBRI Visualization Team 2001 - 2012